=== debian/control ===
Source: ros-indigo-rviz-animated-view-controller
Section: misc
Priority: extra
Maintainer: Adam Leeper <adamleeper@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-pluginlib, ros-indigo-rviz, ros-indigo-view-controller-msgs
Homepage: http://ros.org/wiki/rviz_animated_view_controller
Standards-Version: 3.9.2

Package: ros-indigo-rviz-animated-view-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-pluginlib, ros-indigo-rviz, ros-indigo-view-controller-msgs
Description: A rviz view controller featuring smooth transitions.
